## kcm-tablet 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(kcm_tablet)

add_subdirectory( src )
add_subdirectory( data )
add_subdirectory( images ) 
add_subdirectory( doc )
add_subdirectory( po )

=== data/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

include_directories( ${KDE4_INCLUDES} )

install( FILES companylist
               default_devicelist
               wacom_devicelist
               waltop_devicelist
               toshiba_devicelist
               DESTINATION  ${DATA_INSTALL_DIR}/kcmtablet/data )

=== doc/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

include_directories( ${KDE4_INCLUDES} )


kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/tablet)

=== images/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

include_directories( ${KDE4_INCLUDES} )

install( FILES 
	      CTE_440.png
	      CTE_450.png
	      CTE_640.png
	      CTE_650.png
	      CTF-421-U.png
	      CTF_430-U.png
	      FT-0203-U.png
	      generic.png
	      MODEL_DTF521.png
	      MODEL_DTF720.png
	      MODEL_DTU1931.png
	      MODEL_DTU710.png
	      MTE_450.png
	      PTU-600.png
	      PTK-640.png
	      PTZ-1230.png
	      PTZ-1231W.png
	      PTZ-430.png
	      PTZ-431W.png
	      PTZ-630.png
	      PTZ-631W.png
	      PTZ-930.png
	      XD-0405-U.png
	      XD-0608-U.png
	      XD-0912-U.png
	      XD-1212-U.png
	      XD-1218-U.png
	      DESTINATION  ${DATA_INSTALL_DIR}/kcmtablet/images )

install( FILES 
	      pad/CTE_450.png
	      pad/CTE_631.png
	      pad/CTE_650.png
	      pad/MTE_450.png
	      pad/PTU-600.png
	      pad/PTK-640.png
	      pad/PTZ-1230.png
	      pad/PTZ-1231W.png
	      pad/PTZ-430.png
	      pad/PTZ-630.png
	      pad/PTZ-631W.png
	      pad/PTZ-930.png
	      DESTINATION  ${DATA_INSTALL_DIR}/kcmtablet/images/pad )

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

file(GLOB catalogs *.po)

gettext_create_translations("tablet.pot" ALL ${catalogs})

=== src/applet/CMakeLists.txt ===
project(plasma-tabletsettings)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories(
                    ${KDE4_INCLUDES}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(tabletsettings_SRCS
    tabletsettings.cpp
    tabletapplet.cpp)

kde4_add_plugin(plasma_applet_tabletsettings ${tabletsettings_SRCS})
target_link_libraries(plasma_applet_tabletsettings ${KDE4_PLASMA_LIBS} ${KDE4_KUTILS_LIBRARY})

install(TARGETS plasma_applet_tabletsettings DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-tabletsettings.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/kcmodule/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

include_directories(
                    ${KDE4_INCLUDES}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
)


########### next target ###############

set( kcm_tablet_SRCS
     generalwidget.cpp
     kcmtablet.cpp
     padmapping.cpp
     padbuttonwidget.cpp
     penwidget.cpp
     presscurve.cpp
     presscurvedialog.cpp
     profilemanagement.cpp
     screenwidget.cpp
     selectkeybutton.cpp
     selectkeystroke.cpp
     selectquotetext.cpp
     tabletwidget.cpp
)

kde4_add_ui_files( kcm_tablet_SRCS
                   errorwidget.ui
                   generalwidget.ui
                   padmapping.ui
                   penwidget.ui
                   padbuttonwidget.ui
                   presscurvedialog.ui
                   saveprofile.ui
                   screenwidget.ui
                   selectkeybutton.ui
                   selectkeystroke.ui
                   selectquotetext.ui
                   tabletwidget.ui
)

kde4_add_plugin(kcm_tablet ${kcm_tablet_SRCS})

target_link_libraries( kcm_tablet  
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_KDEUI_LIBS}
                       ${KDE4_KIO_LIBS}
)

install(TARGETS kcm_tablet DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kcm_tablet.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== src/kded/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

include_directories(
                    ${KDE4_INCLUDES}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(wacom_tablet_SRCS
    devicehandler.cpp
    wacominterface.cpp
    tabletdeamon.cpp)

qt4_add_dbus_adaptor(wacom_tablet_SRCS de.etricceline.Tablet.xml tabletdeamon.h Wacom::TabletDeamon)
qt4_add_dbus_adaptor(wacom_tablet_SRCS de.etricceline.Device.xml devicehandler.h Wacom::DeviceHandler)
kde4_add_plugin(kded_tablet ${wacom_tablet_SRCS})

target_link_libraries(kded_tablet
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_KDEUI_LIBS}
                       ${KDE4_SOLID_LIBS})

install(TARGETS kded_tablet DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES tablet.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
install(FILES tablet.notifyrc DESTINATION "${DATA_INSTALL_DIR}/tablet")

install(FILES de.etricceline.Tablet.xml de.etricceline.Device.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== debian/changelog ===
kcm-tablet (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #569708). Based on the brilliant work by
    Lisandro.


 -- Sune Vuorela <debian@pusling.com>  Mon, 17 May 2010 22:40:15 +0200

=== debian/control ===
Source: kcm-tablet
Section: kde
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Build-Depends: debhelper  (>= 7.0.50~), cmake, kdelibs5-dev, pkg-kde-tools (>= 0.5)
Standards-Version: 3.8.4
Homepage: http://gitorious.org/kcm_tablet
Uploaders: Sune Vuorela <debian@pusling.com>

Package: kde-config-tablet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${shlibs:Recommends}
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE 4 KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL 
 configuration.

## kcm-tablet 1.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(wacomtablet)


# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

# local cmake modules
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${CMAKE_SOURCE_DIR}/cmake/modules
)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DQT_STRICT_ITERATORS )
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions( -DDISABLE_NEPOMUK_LEGACY )


include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

add_subdirectory( src )
add_subdirectory( data )
add_subdirectory( images )

=== images/CMakeLists.txt ===
install( FILES
               bl_1.png
               bl_2.png
               bl_3.png
               bl_4.png
               bl_5.png
               bl_6.png
               bl_7.png
               bl_8.png
               DESTINATION  ${DATA_INSTALL_DIR}/wacomtablet/images )

=== src/kded/CMakeLists.txt ===
set(wacom_tablet_SRCS
    devicehandler.cpp
    wacominterface.cpp
    tabletdaemon.cpp
    xdeviceeventnotifier.cpp)

qt4_add_dbus_adaptor(wacom_tablet_SRCS org.kde.Wacom.xml tabletdaemon.h Wacom::TabletDaemon)
qt4_add_dbus_adaptor(wacom_tablet_SRCS org.kde.WacomDevice.xml devicehandler.h Wacom::DeviceHandler)
kde4_add_plugin(kded_wacomtablet ${wacom_tablet_SRCS})

target_link_libraries(kded_wacomtablet
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_KDEUI_LIBS}
                       ${KDE4_SOLID_LIBS}
                       ${X11_X11_LIB}
                       ${X11_Xinput_LIB})

install(TARGETS kded_wacomtablet DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES wacomtablet.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
install(FILES wacomtablet.notifyrc DESTINATION "${DATA_INSTALL_DIR}/wacomtablet")

install(FILES org.kde.Wacom.xml org.kde.WacomDevice.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== debian/changelog ===
kcm-tablet (1.2.5-0ubuntu1) natty; urgency=low

  * New upstream bugfix release:
    - Add a build-depend on libxi-dev
    - Refresh 02_less_linkage
    - Fixes LP: #596189

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 30 Jan 2011 15:44:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: kde
 Priority: extra
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Build-Depends: debhelper  (>= 7.0.50~), cmake, kdelibs5-dev, pkg-kde-tools (>= 0.5)
+Build-Depends: debhelper  (>= 7.0.50~), cmake, kdelibs5-dev, pkg-kde-tools (>= 0.5),
+ libxi-dev
 Standards-Version: 3.8.4
 Homepage: http://gitorious.org/kcm_tablet
 Uploaders: Sune Vuorela <debian@pusling.com>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -Xplasma_applet_tabletsettings.so -- -dRecommends debian/kde-config-tablet/usr/lib/kde4/plasma_applet_tabletsettings.so -dDepends
